gsm620.c File Reference
`#include <stdint.h>`
`#include <stdbool.h>`
`#include <osmocom/core/bitvec.h>`
`#include <osmocom/core/utils.h>`
`#include <osmocom/codec/codec.h>`

## Functions

static uint16_t | mask (const uint8_t msb)
bool | osmo_hr_check_sid (const uint8_t *rtp_payload, size_t payload_len)
| Check whether RTP frame contains HR SID code word according to TS 101 318 §5.2.2. More...

## Variables

const uint16_t | gsm620_unvoiced_bitorder [112]
const uint16_t | gsm620_voiced_bitorder [112]

## Detailed Description

GSM 06.20 - GSM HR codec.

## Function Documentation

## mask()

static uint16_t mask | ( | const uint8_t | msb | ) |

inline static

Referenced by osmo_hr_check_sid().

## osmo_hr_check_sid()

bool osmo_hr_check_sid | ( | const uint8_t * | rtp_payload,
|  | size_t | payload_len
| ) |  |

Check whether RTP frame contains HR SID code word according to TS 101 318 §5.2.2.

Parameters

  [in] | rtp_payload | Buffer with RTP payload
  [in] | payload_len | Length of payload

Returns
  true if code word is found, false otherwise

References mask().

## Variable Documentation

## gsm620_unvoiced_bitorder

const uint16_t gsm620_unvoiced_bitorder[112]

## gsm620_voiced_bitorder

const uint16_t gsm620_voiced_bitorder[112]